v1
Get Task Policy Snapshot
Read the effective governance policy persisted before workflow dispatch.
GET
/
v1
/
governance
/
task-policy-snapshots
/
{task_id}
Get Task Policy Snapshot
curl --request GET \
--url https://api.example.com/v1/governance/task-policy-snapshots/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/governance/task-policy-snapshots/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/governance/task-policy-snapshots/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"effective_policy": {
"approval": {
"approvers": [
"<string>"
],
"approvers_by_tool": {},
"escalation_rules": [
"<string>"
],
"requires_human_approval": true
},
"budget": {
"monthly_spend_cap_usd": "<string>",
"run_budget_usd": "<string>",
"service_budget_usd": "<string>"
},
"content_safety": {
"output_sanitizer_enabled": true,
"prompt_injection_detection_enabled": true
},
"execution": {
"max_model_turns": 1,
"max_tool_calls_per_turn": 1,
"max_tool_calls_total": 1
},
"resolver_version": "policy-resolver-v1",
"source_policy_ids": [
"<string>"
],
"tokens": {
"max_tokens": 1,
"max_tokens_per_call": 1
},
"tools": {
"allowed": [
"<string>"
],
"denied": [
"<string>"
]
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Resolved immutable policy snapshot.
Show child attributes
Show child attributes
⌘I
Get Task Policy Snapshot
